Web lists-archives.com

Re: Nvidia drivers






On Fri, Jul 6, 2018, 5:57 AM Matthew Crews <mattcrews@xxxxxxxxxxxxx> wrote:
On 07/05/2018 06:03 PM, Mark Allums wrote:
> On 7/5/18 5:42 PM, Francisco Mariano-Neto wrote:
>> Hey all,
>>
>>      I'm running kernel 4.15 with nvidia-driver 390.48-3 with no
>> problems. However, recently my kernel was automatically upgraded to 4.16
>> and it broke the nvidia driver.
>>
>>      Running 'dkms autoinstall --all' does not help, it complains
>> about not finding kernel headers (which are installed) and quits.
>>
>>      Any ideas on how I can rebuild the kernel module for the new
>> kernel version?
>>
>> Thanks
>> Francisco
>>
> This requires a workaround, a kernel parameter at boot.
>
> GRUB_CMDLINE_LINUX_DEFAULT="slab_common.usercopy_fallback=y"
>
> Edit the config file like this,
>
> $sudo gedit /etc/default/grub
>
> Then run $sudo update-grub.
>

As an aside, thank you for posting this fix. Although my drivers were
not broken, I did have a problem where xorg would not start correctly
with the 4.16 kernel and nvidia drivers 390.48 (both from Stretch
backports). That GRUB command seemed to resolve it my issue.

Cheers.

I have 304xx working fine dkms with 4.16. of course these are now deprecated. If only nouveau would work. I prefer it..